## gwt 1.6.4

=== jni/mac/Makefile ===
# Copyright 2008 Google Inc.
# 
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
# the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.

CC = g++
JAVAH = javah

##
# Try a GWT_TOOLS default if it isn't set
##
GWT_TOOLS ?= ../../../tools
GWT_ROOT ?= ../..

##
# The location to get .class files for javah
##
CLASSDIR := $(GWT_ROOT)/build/out/dev/mac/bin

##
# External SWT products.
##
SWT_ORIGINAL_SRC = $(GWT_TOOLS)/lib/eclipse/org.eclipse.swt.carbon-macosx-3.2.1.src.zip
SWT_PATCH_DIR = ./swt-build
SWT_LIBS=$(SWT_PATCH_DIR)/libswt-webkit-carbon-3235.jnilib \
	$(SWT_PATCH_DIR)/libswt-agl-carbon-3235.jnilib \
	$(SWT_PATCH_DIR)/libswt-carbon-3235.jnilib \
	$(SWT_PATCH_DIR)/libswt-pi-carbon-3235.jnilib

GWT_LL_LIB = libgwt-ll.jnilib
GWT_LL_OBJS = gwt-ll.o java-dispatch.o gwt-webkit.o trace.o
GWT_LL_JNI = gwt-webkit.h

TARGETS = $(GWT_LL_LIB) $(SWT_LIBS)
ARCHS = -arch i386 -arch ppc
CFLAGS = -I/System/Library/Frameworks/JavaScriptCore.framework/Headers -I/System/Library/Frameworks/JavaVM.framework/Headers
LFLAGS = -bundle -framework JavaScriptCore

ALL : $(TARGETS)

##
# Unpack and patch SWT source.
##
$(SWT_PATCH_DIR): $(SWT_ORIGINAL_SRC) ./org.eclipse.swt/webkit.c
	unzip $(SWT_ORIGINAL_SRC) -d $(SWT_PATCH_DIR)
	cp ./org.eclipse.swt/webkit.c  $(SWT_PATCH_DIR)

##
# Build SWT.
##
$(SWT_LIBS):$(SWT_PATCH_DIR)
	make -C $(SWT_PATCH_DIR) -f make_macosx.mak

##
# Build core gwt-ll object.
##
gwt-ll.o : ../core/gwt-ll.cpp
	$(CC) -c -Wall -o $@ $(ARCHS) $(CFLAGS) $<

##
# General coff target.
##
%.o : %.cpp
	$(CC) -c -Wall -o $@ $(ARCHS) $(CFLAGS) $<

##
# Generate JNI Header
##
gwt-webkit.h : $(CLASSDIR)/com/google/gwt/dev/shell/mac/LowLevelSaf.class
	$(JAVAH) -classpath $(CLASSDIR) -o gwt-webkit.h com.google.gwt.dev.shell.mac.LowLevelSaf

##
# Build gwt-ll library.
##
$(GWT_LL_LIB) : $(GWT_LL_JNI) $(GWT_LL_OBJS)
	$(CC) -Wall -o $@ $(ARCHS) $(LFLAGS) $(GWT_LL_OBJS)

clean:
	rm -f $(GWT_LL_JNI) $(GWT_LL_OBJS) $(TARGETS)
	rm -rf $(SWT_PATCH_DIR)

=== jni/windows/Makefile ===
# Copyright 2006 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
# the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.

##
# Target settings
##
GWT_ROOT = ../../
OBJDIR  := $(GWT_ROOT)build/out/jni/win32/
OUTDIR  := $(GWT_ROOT)build/jni/win32/
OUT     := $(OUTDIR)gwt-ll.dll
STAGING := $(GWT_ROOT)build/staging/gwt-windows-0.0.0/

##
# Tools
##
CXX      := mingw-gcc
AR       := mingw-ar
STRIP    := mingw-strip
LD       := $(CXX)

##
# List of source, object, and dependency paths plus the path to them
##
SRCDIRS := ./:../core/
VPATH   := .:../core
SRCS    := gwt-ll.cpp IE6.cpp
OBJS    := $(addprefix $(OBJDIR),$(SRCS:.cpp=.o))
DEPS    := $(addprefix $(OBJDIR),$(SRCS:.cpp=.d))

##
# Include path configuration
##
SYSINCS := \
    $(JAVA_HOME)/include \
    $(JAVA_HOME)/include/win32
INCS := $(addprefix -isystem ,$(SYSINCS))

##
# Libraries and library path
##
LIBS    := wininet
LIBPATH := -L$(OBJDIR)
LIBS    := $(addprefix -l,$(LIBS))

# for notes on auto-dependency generation, see
#   http://make.paulandlesley.org/autodep.html
# -MP obviates the need for sed hackery
CFLAGS   := -Os -fno-exceptions -fshort-wchar -c -MMD -MP -Wno-system-headers $(CFLAGS)
LDFLAGS  := -s -Wl,--kill-at $(LDFLAGS)

#-------------------------------------------------------------------------------
# Rules
#-------------------------------------------------------------------------------

##
# default rule
##
all: $(OUT)

# install into prebuilt directory
install: $(OUT)
	cp $(OUT) prebuilt/

##
# Include the dependency rules
##
-include $(DEPS)

##
# Compilation rule for cpp files
##
$(OBJDIR)%.o : $(SRCDIR)%.cpp
	@[ -d $(OBJDIR) ] || mkdir -p $(OBJDIR)
	$(CXX) $(CFLAGS) $(INCS) -o $@ $<

##
# Compilation rule for .def files to lib*.a files
##
$(OBJDIR)lib%.a : $(SRCDIR)%.def
	@[ -d $(OBJDIR) ] || mkdir -p $(OBJDIR)
	mingw-dlltool -k -d $< -l $@
	
##
# Actual output file
##
$(OUT): $(OBJS) $(OBJDIR)libwininet.a
	@[ -d $(OUTDIR) ] || mkdir -p $(OUTDIR)
	$(LD) -shared $(LDFLAGS) $(LIBPATH) -o $@ $^ $(LIBS)
	$(STRIP) --strip-unneeded $@

##
# copy to staging area for hosted-mode development
##
staging: $(OUT)
	@[ -d $(STAGING) ] || mkdir -p $(STAGING)
	cp $(OUT) $(STAGING)

##
# Clean rule
##
clean:
	@-rm -rf $(OBJDIR) $(OUT)

## gwt 2.4.0

=== plugins/Makefile ===
# Placeholder Makefile, to be replaced with ant build file

xpcom::
	cd xpcom; make

=== jni/linux/Makefile ===
# Copyright 2007 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
# the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.

##
# Target settings
##
#JAVA_HOME
#JAVA_HOME=/usr/lib/j2sdk1.5-sun

# set GWT_TOOLS only if it is not already defined
GWT_TOOLS ?= ../../../tools

GWT_ROOT = ../../
OBJDIR  := $(GWT_ROOT)build/out/jni/linux/
OUTDIR  := $(GWT_ROOT)build/jni/linux/
OUT     := $(OUTDIR)libgwt-ll.so
STAGING := $(GWT_ROOT)build/staging/gwt-linux-0.0.0/

##
# The location to get .class files from for javah
##
CLASSDIR := $(GWT_ROOT)build/out/dev/linux/bin

# use this instead if you want to use eclipse to build the class files during
# development
#CLASSDIR := $(GWT_ROOT)eclipse/dev/linux/bin

##
# Tools
##
CXX      := g++
AR       := ar
STRIP    := strip
LD       := $(CXX)
JAVAH    := $(JAVA_HOME)/bin/javah

##
# List of source, object, and dependency paths plus the path to them
##
SRCDIRS := ./:../core/
VPATH   := .:../core
SRCS    := gwt-ll.cpp LowLevelMoz.cpp JsValueMoz.cpp Tracer.cpp \
	ExternalWrapper.cpp NativeWrapper.cpp JsRootedValue.cpp
OBJS    := $(addprefix $(OBJDIR),$(SRCS:.cpp=.o))
DEPS    := $(addprefix $(OBJDIR),$(SRCS:.cpp=.d))

MOZDIR = $(GWT_TOOLS)/sdk/mozilla-1.7.12
MOZINC = $(MOZDIR)/include
MOZLIB = $(MOZDIR)/lib

##
# Include path configuration
##
SYSINCS := \
    $(JAVA_HOME)/include \
    $(JAVA_HOME)/include/linux \
    $(MOZINC) $(MOZINC)/extra

INCS := $(OBJDIR)
INCS := $(addprefix -I ,$(INCS)) $(addprefix -isystem ,$(SYSINCS))

##
# Libraries and library path
##
LIBS    = xpcomglue_s
LIBPATH = -L$(MOZLIB)
LIBS     := $(addprefix -l,$(LIBS))

# for notes on auto-dependency generation, see
#   http://make.paulandlesley.org/autodep.html
# -MP obviates the need for sed hackery
CFLAGS   := -ggdb -m32 -Os -fPIC -fno-omit-frame-pointer -fno-strict-aliasing -D_REENTRANT -MMD -MP -Wno-system-headers $(CFLAGS)
LDFLAGS  := -ggdb -m32 -s -fPIC -fno-omit-frame-pointer -fno-strict-aliasing -D_REENTRANT -Wl,-shared-gcc $(LDFLAGS)

#-------------------------------------------------------------------------------
# Rules
#-------------------------------------------------------------------------------

##
# default rule
##
all: $(OUT)

# install into prebuilt directory
install: $(OUT)
	cp $(OUT) prebuilt/

##
# Include the dependency rules
##
-include $(DEPS)

##
# javah-generated headers for native methods
##
$(OBJDIR)LowLevelMoz.h : $(CLASSDIR)/com/google/gwt/dev/shell/moz/LowLevelMoz.class
	$(JAVAH) -classpath $(CLASSDIR) -o $(OBJDIR)LowLevelMoz.h com.google.gwt.dev.shell.moz.LowLevelMoz

$(OBJDIR)JsValueMoz.h : $(CLASSDIR)/com/google/gwt/dev/shell/moz/JsValueMoz.class
	$(JAVAH) -classpath $(CLASSDIR) -o $(OBJDIR)JsValueMoz.h com.google.gwt.dev.shell.moz.JsValueMoz

##
# Dependency rules for generated headers
# TODO(jat): autogenerate these and others
##
$(OBJDIR)LowLevelMoz.o: $(OBJDIR)LowLevelMoz.h $(JAVA_HOME)/include/jni.h
$(OBJDIR)JsValueMoz.o: $(OBJDIR)JsValueMoz.h $(JAVA_HOME)/include/jni.h

##
# Compilation rule for cpp files
##
$(OBJDIR)%.o : $(SRCDIR)%.cpp
	@[ -d $(OBJDIR) ] || mkdir -p $(OBJDIR)
	$(CXX) -c $(CFLAGS) $(INCS) -o $@ $<

# generate preprocessed output files upon request for debugging
%.i : $(SRCDIR)%.cpp
	$(CXX) -E $(CFLAGS) $(INCS) -o $@ $<

%.I : $(SRCDIR)%.cpp
	$(CXX) -E -dDI $(CFLAGS) $(INCS) -o $@ $<

##
# Actual output file
##
$(OUT): $(OBJS) $(MOZLIB)/libxpcomglue_s.a
	@[ -d $(OUTDIR) ] || mkdir -p $(OUTDIR)
	$(LD) -shared $(LDFLAGS) $(LIBPATH) -o $@ $^ $(LIBS)
	$(STRIP) --strip-unneeded $@

##
# copy to staging area for hosted-mode development
##
staging: $(OUT)
	@[ -d $(STAGING) ] || mkdir -p $(STAGING)
	cp $(OUT) $(STAGING)

##
# Clean rule
##
clean:
	@-rm -rf $(OBJDIR) $(OUT)

=== plugins/common/Makefile ===
# Copyright 2009 Google Inc.
# 
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
# the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.

include ../config.mk

HDRS= HostChannel.h InvokeMessage.h LoadModuleMessage.h Message.h \
      ReturnMessage.h Value.h BrowserChannel.h Debug.h DebugLevel.h \
      SessionHandler.h ServerMethods.h Socket.h AllowedConnections.h \
      LoadJsniMessage.h InvokeSpecialMessage.h FreeValueMessage.h \
      ByteOrder.h FatalErrorMessage.h CheckVersionsMessage.h \
      ChooseTransportMessage.h SwitchTransportMessage.h \
      ProtocolVersionMessage.h

SRCS=	HostChannel.cpp LoadModuleMessage.cpp InvokeMessage.cpp \
	ReturnMessage.cpp ServerMethods.cpp Debug.cpp Socket.cpp \
	AllowedConnections.cpp LoadJsniMessage.cpp InvokeSpecialMessage.cpp \
	FreeValueMessage.cpp FatalErrorMessage.cpp CheckVersionsMessage.cpp \
      ChooseTransportMessage.cpp SwitchTransportMessage.cpp \
      ProtocolVersionMessage.cpp

LIBCOMMON= libcommon$(FLAG32BIT).a
OBJDIR= obj$(FLAG32BIT)
OBJS= $(patsubst %.cpp,$(OBJDIR)/%.o,$(SRCS))

all:: $(OBJDIR) $(LIBCOMMON)

$(OBJDIR):
	-mkdir $@

$(LIBCOMMON): $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)

$(OBJDIR)/%.o: %.cpp
	$(CXX) $(BASECFLAGS) $(ALLARCHCFLAGS) -c $< -o $@

$(OBJDIR)/%.o: DebugLevel.h

.PHONY: clean depend testdebug

testdebug:
	(cd testing; CXX=$(CXX) CXXFLAGS="$(CFLAGS) -m32" ./testdebug)
	(cd testing; CXX=$(CXX) CXXFLAGS="$(CFLAGS) -m64" ./testdebug)

clean:
	rm -rf obj32 obj64 libcommon32.a libcommon64.a

depend:
	g++ -MM $(CFLAGS) $(SRCS) >>Makefile
#	makedepend -- $(CFLAGS) -- $(SRCS)

# DO NOT DELETE
HostChannel.o: HostChannel.cpp Debug.h Platform.h DebugLevel.h \
  ByteOrder.h CheckVersionsMessage.h Message.h BrowserChannel.h Value.h \
  ProtocolVersionMessage.h ChooseTransportMessage.h \
  SwitchTransportMessage.h FreeValueMessage.h HostChannel.h Socket.h \
  AllowedConnections.h ReturnMessage.h SessionHandler.h LoadJsniMessage.h \
  InvokeMessage.h InvokeSpecialMessage.h QuitMessage.h \
  scoped_ptr/scoped_ptr.h
LoadModuleMessage.o: LoadModuleMessage.cpp Debug.h Platform.h \
  DebugLevel.h LoadModuleMessage.h Message.h BrowserChannel.h \
  HostChannel.h ByteOrder.h Socket.h AllowedConnections.h ReturnMessage.h \
  Value.h SessionHandler.h scoped_ptr/scoped_ptr.h
InvokeMessage.o: InvokeMessage.cpp InvokeMessage.h Message.h \
  BrowserChannel.h Value.h Debug.h Platform.h DebugLevel.h HostChannel.h \
  ByteOrder.h Socket.h AllowedConnections.h ReturnMessage.h \
  SessionHandler.h scoped_ptr/scoped_ptr.h
ReturnMessage.o: ReturnMessage.cpp ReturnMessage.h Message.h \
  BrowserChannel.h Value.h Debug.h Platform.h DebugLevel.h HostChannel.h \
  ByteOrder.h Socket.h AllowedConnections.h SessionHandler.h
ServerMethods.o: ServerMethods.cpp Debug.h Platform.h DebugLevel.h \
  FreeValueMessage.h Message.h BrowserChannel.h HostChannel.h ByteOrder.h \
  Socket.h AllowedConnections.h ReturnMessage.h Value.h SessionHandler.h \
  InvokeMessage.h InvokeSpecialMessage.h ServerMethods.h \
  scoped_ptr/scoped_ptr.h
Debug.o: Debug.cpp Debug.h Platform.h DebugLevel.h
Socket.o: Socket.cpp Platform.h Socket.h Debug.h DebugLevel.h
AllowedConnections.o: AllowedConnections.cpp Debug.h Platform.h \
  DebugLevel.h AllowedConnections.h
LoadJsniMessage.o: LoadJsniMessage.cpp LoadJsniMessage.h Message.h \
  BrowserChannel.h HostChannel.h Debug.h Platform.h DebugLevel.h \
  ByteOrder.h Socket.h AllowedConnections.h ReturnMessage.h Value.h \
  SessionHandler.h
InvokeSpecialMessage.o: InvokeSpecialMessage.cpp InvokeSpecialMessage.h \
  Message.h BrowserChannel.h SessionHandler.h Value.h Debug.h Platform.h \
  DebugLevel.h HostChannel.h ByteOrder.h Socket.h AllowedConnections.h \
  ReturnMessage.h scoped_ptr/scoped_ptr.h
FreeValueMessage.o: FreeValueMessage.cpp FreeValueMessage.h Message.h \
  BrowserChannel.h HostChannel.h Debug.h Platform.h DebugLevel.h \
  ByteOrder.h Socket.h AllowedConnections.h ReturnMessage.h Value.h \
  SessionHandler.h scoped_ptr/scoped_ptr.h
FatalErrorMessage.o: FatalErrorMessage.cpp FatalErrorMessage.h Message.h \
  BrowserChannel.h Value.h Debug.h Platform.h DebugLevel.h HostChannel.h \
  ByteOrder.h Socket.h AllowedConnections.h ReturnMessage.h \
  SessionHandler.h scoped_ptr/scoped_ptr.h
CheckVersionsMessage.o: CheckVersionsMessage.cpp CheckVersionsMessage.h \
  Message.h BrowserChannel.h Value.h Debug.h Platform.h DebugLevel.h \
  HostChannel.h ByteOrder.h Socket.h AllowedConnections.h ReturnMessage.h \
  SessionHandler.h scoped_ptr/scoped_ptr.h
ChooseTransportMessage.o: ChooseTransportMessage.cpp \
  ChooseTransportMessage.h Message.h BrowserChannel.h Value.h Debug.h \
  Platform.h DebugLevel.h HostChannel.h ByteOrder.h Socket.h \
  AllowedConnections.h ReturnMessage.h SessionHandler.h \
  scoped_ptr/scoped_ptr.h
SwitchTransportMessage.o: SwitchTransportMessage.cpp \
  SwitchTransportMessage.h Message.h BrowserChannel.h Value.h Debug.h \
  Platform.h DebugLevel.h HostChannel.h ByteOrder.h Socket.h \
  AllowedConnections.h ReturnMessage.h SessionHandler.h \
  scoped_ptr/scoped_ptr.h
ProtocolVersionMessage.o: ProtocolVersionMessage.cpp \
  ProtocolVersionMessage.h Message.h BrowserChannel.h Value.h Debug.h \
  Platform.h DebugLevel.h HostChannel.h ByteOrder.h Socket.h \
  AllowedConnections.h ReturnMessage.h SessionHandler.h \
  scoped_ptr/scoped_ptr.h

=== plugins/npapi/Makefile ===
# Copyright 2010 Google Inc.
# 
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
# the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.

include ../config.mk

ifeq ($(OS),mac)
RUN_PATH_FLAG = -executable_path
DLL_SUFFIX = .dylib
DLLFLAGS = -bundle $(ARCHCFLAGS) -mmacosx-version-min=10.5
CFLAGS += -DXP_MACOSX $(ARCHCFLAGS)
CXXFLAGS += -DXP_MACOSX $(ARCHCFLAGS)
# Mac puts multiple architectures into the same files
TARGET_PLATFORM = Darwin-gcc3
CHROME_PATH ?= /Applications/Google\ Chrome.app/Contents/MacOS/Google\ Chrome
PLATFORM_DIR_SUFFIX = gwtDev.plugin/Contents/MacOS/
else
ifeq ($(OS),linux)
RUN_PATH_FLAG = -rpath-link
DLL_SUFFIX = .so
DLLFLAGS = -shared -m$(FLAG32BIT)
TARGET_PLATFORM = Linux_$(ARCH)-gcc3
CHROME_PATH ?= /opt/google/chrome/chrome
else
endif
endif


export FLAG32BIT

CFLAGS += -DBROWSER_NPAPI -DXP_UNIX -fshort-wchar
CXXFLAGS = $(CXXONLYFLAGS) $(CFLAGS)
DIR = $(shell pwd)

DEPEND = g++ -MM -MT'$$(OBJ_OUTDIR)/$(patsubst %.cpp,%.o,$(src))' \
  -I. -I../common $(src)

COMMON            = ../common/libcommon$(FLAG32BIT).a

OBJ_OUTDIR        = build/$(TARGET_PLATFORM)
EXTENSION_OUTDIR  = prebuilt/gwt-dev-plugin
PLATFORM_DIR      = $(EXTENSION_OUTDIR)/$(TARGET_PLATFORM)
PLATFORM_DIR_SUFFIX ?= ""

INSTALLER_CRX     = prebuilt/gwt-dev-plugin.crx
DLL               = $(OBJ_OUTDIR)/libGwtDevPlugin$(DLL_SUFFIX)
GWTDEV_CRX_PEM   ?= $(CURDIR)/gwt-dev-plugin.pem
CHROME_COMMAND    = $(CHROME_PATH) --pack-extension=$(CURDIR)/$(EXTENSION_OUTDIR) --no-message-box --user-data-dir=$(CURDIR)/$(OBJ_OUTDIR)/user-data --pack-extension-key=$(GWTDEV_CRX_PEM)

#DLLFLAGS += 

VERSION ?= 1.0.$(shell ./getversion)
ifeq ($(VERSION), 1.0.)
$(error You must specify the version if you are not in an svn checkout)
endif

.PHONY: default all crx lib common clean depend install install-platform \
	versioned-files devmodeoptions

default:: lib versioned-files devmodeoptions

all:: common lib install-platform crx

lib:: $(OBJ_OUTDIR) $(EXTENSION_OUTDIR) $(DLL)
crx:: $(EXTENSION_OUTDIR) $(INSTALLER_CRX)

linuxplatforms:
	$(MAKE) lib ARCH=x86
	$(MAKE) lib ARCH=x86_64

macplatforms:
	$(MAKE) lib

HDRS =	\
	LocalObjectTable.h \
	NPVariantWrapper.h \
	Plugin.h \
	ScriptableInstance.h \
	mozincludes.h \
	JavaObject.h

SRCS =	\
	main.cpp \
	Plugin.cpp \
	LocalObjectTable.cpp \
	JavaObject.cpp \
	npn_bindings.cpp \
	ScriptableInstance.cpp

OBJS = $(patsubst %.cpp,$(OBJ_OUTDIR)/%.o,$(SRCS))

$(OBJS): $(OBJ_OUTDIR)

$(OBJ_OUTDIR)::
	@mkdir -p $@

$(INSTALLER_CRX): $(GWTDEV_CRX_PEM) $(EXTENSION_OUTDIR) versioned-files
	$(shell $(CHROME_COMMAND))

versioned-files::
	sed -e s/GWT_DEV_PLUGIN_VERSION/$(VERSION)/ manifest-template.json >prebuilt/gwt-dev-plugin/manifest.json
	#sed -e s/GWT_DEV_PLUGIN_VERSION/$(VERSION)/ updates-template.xml >prebuilt/updates.xml

$(DLL): $(OBJS) $(COMMON)
	$(CXX) -m$(FLAG32BIT) -o $@ $(OBJS) $(COMMON) $(DLLFLAGS) 
	@mkdir -p $(PLATFORM_DIR)
	cp $(DLL) $(PLATFORM_DIR)/$(PLATFORM_DIR_SUFFIX)

$(OBJ_OUTDIR)/%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ -I. -I../common $<

common $(COMMON):
	(cd ../common && $(MAKE))

clean:
	rm -rf build

devmodeoptions:
	(ant -f DevModeOptions/build.xml prebuilt)

depend: $(OBJ_OUTDIR)
	($(foreach src,$(SRCS),$(DEPEND)) true) >>Makefile
#	makedepend -- $(CFLAGS) -- $(SRCS)

# DO NOT DELETE
$(OBJ_OUTDIR)/main.o $(OBJ_OUTDIR)/Plugin.o \
 $(OBJ_OUTDIR)/LocalObjectTable.o $(OBJ_OUTDIR)/JavaObject.o \
 $(OBJ_OUTDIR)/npn_bindings.cpp $(OBJ_OUTDIR)/ScriptableInstance.o: \
 main.cpp ../common/Debug.h ../common/Platform.h ../common/DebugLevel.h \
 mozincludes.h npapi/npapi.h npapi/nphostapi.h npapi/npapi.h \
 npapi/npruntime.h npapi/npruntime.h NPObjectWrapper.h Plugin.h \
 ../common/HostChannel.h ../common/Debug.h ../common/ByteOrder.h \
 ../common/Socket.h ../common/Message.h ../common/ReturnMessage.h \
 ../common/BrowserChannel.h ../common/Value.h ../common/SessionHandler.h \
 ../common/LoadModuleMessage.h ../common/HostChannel.h LocalObjectTable.h \
 ../common/SessionHandler.h ../common/HashMap.h ScriptableInstance.h \
 ../common/scoped_ptr/scoped_ptr.h
$(OBJ_OUTDIR)/main.o $(OBJ_OUTDIR)/Plugin.o \
 $(OBJ_OUTDIR)/LocalObjectTable.o $(OBJ_OUTDIR)/JavaObject.o \
 $(OBJ_OUTDIR)/npn_bindings.cpp $(OBJ_OUTDIR)/ScriptableInstance.o: \
 Plugin.cpp Plugin.h ../common/Debug.h ../common/Platform.h \
 ../common/DebugLevel.h mozincludes.h npapi/npapi.h npapi/nphostapi.h \
 npapi/npapi.h npapi/npruntime.h npapi/npruntime.h NPObjectWrapper.h \
 ../common/HostChannel.h ../common/Debug.h ../common/ByteOrder.h \
 ../common/Socket.h ../common/Message.h ../common/ReturnMessage.h \
 ../common/BrowserChannel.h ../common/Value.h ../common/SessionHandler.h \
 ../common/LoadModuleMessage.h ../common/HostChannel.h LocalObjectTable.h \
 ../common/SessionHandler.h ../common/HashMap.h ScriptableInstance.h \
 ../common/InvokeMessage.h ../common/ReturnMessage.h \
 ../common/ServerMethods.h ../common/scoped_ptr/scoped_ptr.h \
 NPVariantWrapper.h ../common/Platform.h ../common/Value.h JavaObject.h
$(OBJ_OUTDIR)/main.o $(OBJ_OUTDIR)/Plugin.o \
 $(OBJ_OUTDIR)/LocalObjectTable.o $(OBJ_OUTDIR)/JavaObject.o \
 $(OBJ_OUTDIR)/npn_bindings.cpp $(OBJ_OUTDIR)/ScriptableInstance.o: \
 LocalObjectTable.cpp mozincludes.h npapi/npapi.h npapi/nphostapi.h \
 npapi/npapi.h npapi/npruntime.h npapi/npruntime.h NPObjectWrapper.h \
 LocalObjectTable.h ../common/Debug.h ../common/Platform.h \
 ../common/DebugLevel.h
$(OBJ_OUTDIR)/main.o $(OBJ_OUTDIR)/Plugin.o \
 $(OBJ_OUTDIR)/LocalObjectTable.o $(OBJ_OUTDIR)/JavaObject.o \
 $(OBJ_OUTDIR)/npn_bindings.cpp $(OBJ_OUTDIR)/ScriptableInstance.o: \
 JavaObject.cpp ../common/Debug.h ../common/Platform.h \
 ../common/DebugLevel.h JavaObject.h mozincludes.h npapi/npapi.h \
 npapi/nphostapi.h npapi/npapi.h npapi/npruntime.h npapi/npruntime.h \
 NPObjectWrapper.h Plugin.h ../common/HostChannel.h ../common/Debug.h \
 ../common/ByteOrder.h ../common/Socket.h ../common/Message.h \
 ../common/ReturnMessage.h ../common/BrowserChannel.h ../common/Value.h \
 ../common/SessionHandler.h ../common/LoadModuleMessage.h \
 ../common/HostChannel.h LocalObjectTable.h ../common/SessionHandler.h \
 ../common/HashMap.h ScriptableInstance.h NPVariantWrapper.h \
 ../common/Platform.h ../common/Value.h
$(OBJ_OUTDIR)/main.o $(OBJ_OUTDIR)/Plugin.o \
 $(OBJ_OUTDIR)/LocalObjectTable.o $(OBJ_OUTDIR)/JavaObject.o \
 $(OBJ_OUTDIR)/npn_bindings.cpp $(OBJ_OUTDIR)/ScriptableInstance.o: \
 npn_bindings.cpp ../common/Debug.h ../common/Platform.h \
 ../common/DebugLevel.h mozincludes.h npapi/npapi.h npapi/nphostapi.h \
 npapi/npapi.h npapi/npruntime.h npapi/npruntime.h NPObjectWrapper.h
$(OBJ_OUTDIR)/main.o $(OBJ_OUTDIR)/Plugin.o \
 $(OBJ_OUTDIR)/LocalObjectTable.o $(OBJ_OUTDIR)/JavaObject.o \
 $(OBJ_OUTDIR)/npn_bindings.cpp $(OBJ_OUTDIR)/ScriptableInstance.o: \
 ScriptableInstance.cpp ScriptableInstance.h ../common/Debug.h \
 ../common/Platform.h ../common/DebugLevel.h mozincludes.h npapi/npapi.h \
 npapi/nphostapi.h npapi/npapi.h npapi/npruntime.h npapi/npruntime.h \
 NPObjectWrapper.h ../common/HostChannel.h ../common/Debug.h \
 ../common/ByteOrder.h ../common/Socket.h ../common/Message.h \
 ../common/ReturnMessage.h ../common/BrowserChannel.h ../common/Value.h \
 ../common/SessionHandler.h ../common/LoadModuleMessage.h \
 ../common/HostChannel.h LocalObjectTable.h ../common/SessionHandler.h \
 ../common/HashMap.h ../common/InvokeMessage.h ../common/ReturnMessage.h \
 ../common/ServerMethods.h ../common/AllowedConnections.h \
 ../common/scoped_ptr/scoped_ptr.h NPVariantWrapper.h \
 ../common/Platform.h ../common/Value.h Plugin.h JavaObject.h

=== plugins/wireshark/Makefile ===
#
# Copyright 2010 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
# the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.

# Modify to point to your Wireshark and glib include directories
INCS = -I/usr/include/wireshark -I/usr/include/glib-2.0 \
       -I/usr/lib/glib-2.0/include -I../common

CC   = gcc

SRCS = packet-gwtcs.c
OBJS = obj/packet-gwtcs.o

PLUGIN_NAME = packet-gwtcs
PLUGIN_DIR  = $(HOME)/.wireshark/plugins
PLUGIN      = $(PLUGIN_NAME).so

CFLAGS = -DHAVE_CONFIG_H $(INCS) -DINET6 -D_U_=__attribute__\(\(unused\)\) \
	-Wall -Wpointer-arith -g -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API \
	-fPIC -DPIC -O2

all::		obj/$(PLUGIN)

install::	obj/$(PLUGIN)
	cp obj/$(PLUGIN) $(PLUGIN_DIR)/$(PLUGIN)

obj/$(PLUGIN) : $(OBJS)
	mkdir -p $(PLUGIN_DIR)
	$(CC) -shared $(OBJS) -o $@

$(OBJS): obj

obj:
	mkdir obj

obj/packet-gwtcs.o : packet-gwtcs.c ../common/BrowserChannel.h
	$(CC) -c $(CFLAGS) $< -o $@

clean:
	rm -rf obj

=== plugins/xpcom/Makefile ===
# Copyright 2009 Google Inc.
# 
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
# the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.

include ../config.mk

# Make variables intended to be settable from the command line:
#   DEFAULT_FIREFOX_LIBS	points to /usr/lib/firefox or equivalent
#   PLUGIN_SDKS			points to GWT /plugin-sdks directory
#   GECKO_PLATFORM		XPCOM ABI (ie, Linux_x86_64-gcc3)
#

ifeq ($(OS),mac)
DEFAULT_FIREFOX_LIBS ?= /Applications/Firefox.app/Contents/MacOS
RUN_PATH_FLAG = -executable_path
DLL_SUFFIX = .dylib
DLLFLAGS += -bundle $(ALLARCHCFLAGS) -mmacosx-version-min=10.5
CFLAGS += $(ALLARCHCFLAGS)
CXXFLAGS += $(ALLARCHCFLAGS)
TARGET_PLATFORM = Darwin-gcc3
# Mac puts multiple architectures into the same files
GECKO_PLATFORM = Darwin-gcc3
else
ifeq ($(OS),linux)
DEFAULT_FIREFOX_LIBS ?= /usr/lib/firefox
RUN_PATH_FLAG = -rpath-link
DLL_SUFFIX = .so
DLLFLAGS += -shared -m$(FLAG32BIT)
TARGET_PLATFORM = Linux_$(ARCH)-gcc3
else
ifeq ($(OS),sun)
TARGET_PLATFORM = SunOS_$(ARCH)-sunc
RUN_PATH_FLAG = -rpath-link
DLLFLAGS ?= ""
endif
endif
endif

export FLAG32BIT

ifeq ($(BROWSER),)
$(warning Defaulting to FF3 build [set with BROWSER=ff3, ff3+, ff35, ff36, or ff40])
BROWSER=ff3
endif

# Gold doesn't play nice with xpcom libs
LINKER=$(shell ld -v | awk '{print $$2}')
ifeq ($(LINKER), gold)
ifeq ($(wildcard /usr/lib/compat-ld),)
$(error cannot link with gold, use the BFD ld instead)
else
CFLAGS += -B/usr/lib/compat-ld/
CXXFLAGS += -B/usr/lib/compat-ld/
DLLFLAGS += -B/usr/lib/compat-ld/
endif
endif

CFLAGS += -DBROWSER=$(BROWSER)
GECKO_MINOR_VERSION=
GECKO_DLLFLAGS = -lxpcomglue_s -lxpcom
NSPR_DLLFLAGS = -lnspr4
MOZJS_DLLFLAGS = -lmozjs
MOZALLOC_DLLFLAGS =

#default ALLARCHFLAGS for pre-FF4
ALLARCHCFLAGS=-arch i386 -arch ppc

ifeq ($(BROWSER),ff3)
GECKO_VERSION   = 1.9.0
CFLAGS += -DGECKO_VERSION=1900
else
ifeq ($(BROWSER),ff3+)
GECKO_VERSION   = 1.9.0
CFLAGS += -DGECKO_VERSION=1901
GECKO_MINOR_VERSION=.10
else
ifeq ($(BROWSER),ff35)
GECKO_VERSION   = 1.9.1
CFLAGS += -DGECKO_VERSION=1910
else
ifeq ($(BROWSER),ff36)
GECKO_VERSION   = 1.9.2
CFLAGS += -DGECKO_VERSION=1920
else
ifeq ($(BROWSER),ff40)
GECKO_VERSION   = 2.0.0
CFLAGS += -DGECKO_VERSION=2000
MOZALLOC_DLLFLAGS = -lmozalloc
MOZJS_DLLFLAGS = -lxul

#FF4 drops PPC, adds x86_64. Use FLAG32BIT as a switch in the unified headers.
ifeq ($(OS),mac)
ALLARCHCFLAGS = -arch i386 -arch x86_64 -Xarch_i386 -DFLAG32BIT=32 -Xarch_x86_64 -DFLAG32BIT=64
endif

else
$(error Unrecognized BROWSER of $(BROWSER) - options are ff3, ff3+, ff35, ff36, ff40)
endif
endif
endif
endif
endif

CFLAGS += -fshort-wchar
CXXFLAGS = $(CXXONLYFLAGS) $(CFLAGS)
DIR = $(shell pwd)

# Set $PLUGIN_SDKS if it isn't in the default location
PLUGIN_SDKS ?= ../../../plugin-sdks
GECKO_PLATFORM ?= $(TARGET_PLATFORM)

COMMON            = ../common/libcommon$(FLAG32BIT).a

OBJ_OUTDIR        = build/$(TARGET_PLATFORM)-$(BROWSER)
EXTENSION_OUTDIR  = prebuilt/extension
FF_PLATFORM_DIR   = $(EXTENSION_OUTDIR)/lib/$(TARGET_PLATFORM)/$(BROWSER)

INSTALLER_XPI     = prebuilt/gwt-dev-plugin.xpi
FF_DLL            = $(OBJ_OUTDIR)/libgwt_dev_$(BROWSER)$(DLL_SUFFIX)
#FF_TYPELIB        = build/IOOPHM.xpt
#FF_HEADER         = $(OBJ_OUTDIR)/IOOPHM.h
FF_TYPELIB        = prebuilt/extension/components/IOOPHM.xpt
FF_HEADER         = prebuilt/$(BROWSER)/include/IOOPHM.h
INSTALL_RDF       = $(EXTENSION_OUTDIR)/install.rdf

SDK_PATH          = $(PLUGIN_SDKS)/gecko-sdks
GECKO_SDK         = $(SDK_PATH)/gecko-$(GECKO_VERSION)
GECKO_PLAT_INC    = $(GECKO_SDK)/$(GECKO_PLATFORM)/include
GECKO_LIBS        = $(GECKO_SDK)/$(GECKO_PLATFORM)/lib$(GECKO_MINOR_VERSION)
XPIDL             = $(GECKO_SDK)/$(GECKO_PLATFORM)/bin/xpidl
XPIDL_FLAGS       = -I$(GECKO_SDK)/idl

DLLFLAGS += \
		-L$(GECKO_LIBS) \
		-Wl,$(RUN_PATH_FLAG),$(GECKO_LIBS) \
		$(GECKO_DLLFLAGS) $(NSPR_DLLFLAGS) \
		$(MOZALLOC_DLLFLAGS) $(MOZJS_DLLFLAGS)

INC += -I$(GECKO_PLAT_INC) -I$(GECKO_SDK)/include -I$(dir $(FF_HEADER))

VERSION ?= 1.0.$(shell ./getversion).$(shell date +%Y%m%d%H%M%S)

.PHONY: all xpi lib common browser clean depend install install-platform find-ff-libs

all:: common lib xpi

lib:: browser $(OBJ_OUTDIR) $(EXTENSION_OUTDIR) $(FF_DLL)
xpi:: $(EXTENSION_OUTDIR) $(INSTALLER_XPI)

find-ff-libs::
ifeq ($(FIREFOX_LIBS),)
	$(warning Using firefox libraries at $(GECKO_LIBS))
	$(eval FIREFOX_LIBS = $(GECKO_LIBS))
endif

browser:: find-ff-libs
#	if [ ! -r $(GECKO_LIBS)/libxpcom.so ]
#	then
#	    $(error Missing Firefox libraries at $(GECKO_LIBS))
#	fi

generate-install:: $(EXTENSION_OUTDIR) install-template.rdf
	sed -e s/GWT_DEV_PLUGIN_VERSION/$(VERSION)/ install-template.rdf >$(INSTALL_RDF)

linuxplatforms:
	$(MAKE) lib BROWSER=ff3 ARCH=x86
	$(MAKE) lib BROWSER=ff3+ ARCH=x86
	$(MAKE) lib BROWSER=ff35 ARCH=x86
	$(MAKE) lib BROWSER=ff36 ARCH=x86
	$(MAKE) lib BROWSER=ff40 ARCH=x86
	$(MAKE) lib BROWSER=ff3 ARCH=x86_64
	$(MAKE) lib BROWSER=ff3+ ARCH=x86_64
	$(MAKE) lib BROWSER=ff35 ARCH=x86_64
	$(MAKE) lib BROWSER=ff36 ARCH=x86_64
	$(MAKE) lib BROWSER=ff40 ARCH=x86_64

macplatforms:
	$(MAKE) lib BROWSER=ff3
	$(MAKE) lib BROWSER=ff35
	$(MAKE) lib BROWSER=ff36
	$(MAKE) lib BROWSER=ff40

SRCS =	\
		ExternalWrapper.cpp \
		ModuleOOPHM.cpp \
		FFSessionHandler.cpp \
		JavaObject.cpp \
		JSRunner.cpp \
		Preferences.cpp \
		XpcomDebug.cpp

FF_OBJS = $(patsubst %.cpp,$(OBJ_OUTDIR)/%.o,$(SRCS))

$(FF_OBJS): $(OBJ_OUTDIR)

$(OBJ_OUTDIR)::
	@mkdir -p $@

$(INSTALLER_XPI): $(FF_TYPELIB) $(EXTENSION_OUTDIR) generate-install $(shell find prebuilt/extension $(EXTENSION_OUTDIR))
	@mkdir -p $(EXTENSION_OUTDIR)/components
	#(cd prebuilt/extension; find . \( -name .svn -prune \) -o -print | cpio -pmdua ../../$(EXTENSION_OUTDIR))
	-rm $(INSTALLER_XPI)
	(cd $(EXTENSION_OUTDIR) && zip -r -D -9 $(DIR)/$(INSTALLER_XPI) * -x '*/.svn/*' -x 'META-INF/*')

$(FF_TYPELIB): IOOPHM.idl
	[ ! -x $(XPIDL) -o \( -e $(FF_TYPELIB) -a ! -w $(FF_TYPELIB) \) ] || $(XPIDL) $(XPIDL_FLAGS) -m typelib -e $@ $<

$(FF_HEADER): IOOPHM.idl $(OBJ_OUTDIR)
	[ ! -x $(XPIDL) -o \( -e $(FF_HEADER) -a ! -w $(FF_HEADER) \) ] || $(XPIDL) $(XPIDL_FLAGS) -m header -e $@ $<

$(FF_DLL): $(FF_OBJS) $(COMMON)
	$(CXX) -o $@ $(FF_OBJS) $(COMMON) $(DLLFLAGS)
	@mkdir -p $(FF_PLATFORM_DIR)
	cp $(FF_DLL) $(FF_PLATFORM_DIR)/

$(OBJ_OUTDIR)/%.o: %.cpp $(FF_HEADER)
	$(CXX) $(CXXFLAGS) -c -o $@ -I. -I../common $<

common $(COMMON):
	(cd ../common && $(MAKE))

clean:
	rm -rf build

install-platform:
ifdef BROWSER
	@-mkdir -p $(FF_PLATFORM_DIR)
	-cp $(FF_DLL) $(FF_PLATFORM_DIR))/
ifeq ($(OS),mac)
	@-mkdir -p $(subst $(EXTENSION_OUTDIR),prebuilt/extension-$(BROWSER),$(subst x86,ppc,$(FF_PLATFORM_DIR)))/components
	-cp $(FF_DLL) $(subst $(EXTENSION_OUTDIR),prebuilt/extension-$(BROWSER),$(subst x86,ppc,$(FF_PLATFORM_DIR)))/components
endif
else
	@$(MAKE) $@ BROWSER=ff3
	@$(MAKE) $@ BROWSER=ff3+
	@$(MAKE) $@ BROWSER=ff35
	@$(MAKE) $@ BROWSER=ff36
	@$(MAKE) $@ BROWSER=ff40
endif

DEPEND = g++ -MM -MT'$$(OBJ_OUTDIR)/$(patsubst %.cpp,%.o,$(src))' \
  -I. -I../common -isystem$(dir $(FF_HEADER)) -isystem$(GECKO_SDK)/include $(src) &&
depend: browser $(OBJ_OUTDIR) $(FF_HEADER)
	($(foreach src,$(SRCS),$(DEPEND)) true) >>Makefile
#	makedepend -- $(CFLAGS) -- $(SRCS)

# DO NOT DELETE
$(OBJ_OUTDIR)/ExternalWrapper.o: ExternalWrapper.cpp ExternalWrapper.h \
  mozincludes.h FFSessionHandler.h SessionData.h \
  ../common/SessionHandler.h ../common/BrowserChannel.h ../common/Value.h \
  ../common/Debug.h ../common/Platform.h ../common/DebugLevel.h \
  ../common/BrowserChannel.h ../common/scoped_ptr/scoped_ptr.h \
  ../common/LoadModuleMessage.h ../common/Message.h \
  ../common/BrowserChannel.h ../common/HostChannel.h ../common/Debug.h \
  ../common/ByteOrder.h ../common/Platform.h ../common/Socket.h \
  ../common/Platform.h ../common/Debug.h ../common/AllowedConnections.h \
  ../common/Platform.h ../common/Message.h ../common/ReturnMessage.h \
  ../common/Message.h ../common/BrowserChannel.h ../common/Value.h \
  ../common/Value.h ../common/SessionHandler.h ../common/SessionHandler.h \
  ../common/ServerMethods.h ../common/Value.h
$(OBJ_OUTDIR)/ModuleOOPHM.o: ModuleOOPHM.cpp ../common/Debug.h \
  ../common/Platform.h ../common/DebugLevel.h ExternalWrapper.h \
  mozincludes.h FFSessionHandler.h SessionData.h \
  ../common/SessionHandler.h ../common/BrowserChannel.h ../common/Value.h \
  ../common/Debug.h ../common/BrowserChannel.h \
  ../common/scoped_ptr/scoped_ptr.h
$(OBJ_OUTDIR)/FFSessionHandler.o: FFSessionHandler.cpp FFSessionHandler.h \
  mozincludes.h SessionData.h ../common/SessionHandler.h \
  ../common/BrowserChannel.h ../common/Value.h ../common/Debug.h \
  ../common/Platform.h ../common/DebugLevel.h ../common/BrowserChannel.h \
  ../common/HostChannel.h ../common/Debug.h ../common/ByteOrder.h \
  ../common/Platform.h ../common/Socket.h ../common/Platform.h \
  ../common/Debug.h ../common/AllowedConnections.h ../common/Platform.h \
  ../common/Message.h ../common/ReturnMessage.h ../common/Message.h \
  ../common/BrowserChannel.h ../common/Value.h ../common/Value.h \
  ../common/SessionHandler.h JavaObject.h JSRunner.h XpcomDebug.h \
  ../common/scoped_ptr/scoped_ptr.h RootedObject.h \
  ../common/InvokeMessage.h ../common/Message.h \
  ../common/BrowserChannel.h ../common/Value.h ../common/ServerMethods.h \
  ../common/Value.h
$(OBJ_OUTDIR)/JavaObject.o: JavaObject.cpp JavaObject.h mozincludes.h \
  FFSessionHandler.h SessionData.h ../common/SessionHandler.h \
  ../common/BrowserChannel.h ../common/Value.h ../common/Debug.h \
  ../common/Platform.h ../common/DebugLevel.h ../common/BrowserChannel.h \
  ../common/ServerMethods.h ../common/Value.h XpcomDebug.h \
  ../common/HostChannel.h ../common/Debug.h ../common/ByteOrder.h \
  ../common/Platform.h ../common/Socket.h ../common/Platform.h \
  ../common/Debug.h ../common/AllowedConnections.h ../common/Platform.h \
  ../common/Message.h ../common/ReturnMessage.h ../common/Message.h \
  ../common/BrowserChannel.h ../common/Value.h ../common/Value.h \
  ../common/SessionHandler.h ../common/InvokeMessage.h \
  ../common/Message.h ../common/BrowserChannel.h ../common/Value.h \
  ../common/scoped_ptr/scoped_ptr.h
$(OBJ_OUTDIR)/JSRunner.o: JSRunner.cpp JSRunner.h mozincludes.h
$(OBJ_OUTDIR)/XpcomDebug.o: XpcomDebug.cpp XpcomDebug.h mozincludes.h \
  JavaObject.h

=== debian/changelog ===
gwt (2.4.0-1ubuntu1) quantal; urgency=low

  * Fix name clash between RequestContext and the FindRequest impl interface.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Oct 2012 15:49:05 +0200

gwt (2.4.0-1) sid; urgency=low

  * Upload to Debian (Closes: #677571)
  * Set maintainer to Eucalyptus packaging team with Brian & myself
    as uploaders
  * Fix clean target when package is not built
  * Add target to debian/rules for running dev unit tests
  * patches/build-with-jdt37: Merge changes from gwt trunk to fix problems
    exposed by unit tests
  * patches/build-with-jdt38: implement new interface build against eclipse
    jdt 3.8
  * patches/exclude-tomcat.patch: Also exclude from unit tests
  * patches/fix-guava-pkg-path: Fix path in unit tests
  * patches/fix-test-classpath: New patch to use the same classpath for running
    tests as used during the build
  * Use javahelper to set a classpath and dependencies
  * Add build against libxerces2-java and to classpath, as this is the same
    as upstream uses
  * Standards version 3.9.3 (no changes required)
  * Update copyright for some new files in this version

 -- Chris Halls <halls@debian.org>  Sat, 30 Jun 2012 21:15:56 +0000

gwt (2.4.0-0ubuntu1) precise; urgency=low

  [ Brian Thomason ]
  * Minor JDT 3.7 fix
  * Minor packaging cleanup

  [ Alexandre Rossi ]
  * Added patch to build against JDT 3.5+
  * Added patch to use JSON Simple
  * Added patch to fix guava path

  [ Charles Plessy ]
  * New upstream release (Closes: #624205).
  * Build-depends on libswt-gtk-3 instead of 3.5 (Closes: #629733).
  * Switched to source format 3.0 (quilt) (debian/source/format,
    debian/patches/series).
  * Added Vcs and Homepage fields to the source paragraph of debian/control.
  * Maintained by the pkg-eucalyptus team (debian/control).
  * Removed XSBC-Original-Maintainer field (debian/control).
  * Conforms to Policy 3.9.2 (debian/control, no other changes needed).

 -- Brian Thomason <brian.thomason@eucalyptus.com>  Thu, 09 Feb 2012 01:26:50 +0000

gwt (1.6.4-1) unstable; urgency=low

  * Port existing ubuntu package to debian. 

 -- Chris Grzegorczyk <grze@eucalyptus.com>  Mon, 28 Dec 2009 18:24:31 -0800

gwt (1.6.4-0ubuntu4) karmic; urgency=low

  * debian/rules: Fix FTBFS due to SWT-GTK jar location change (LP: #447268)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Mon, 12 Oct 2009 09:34:29 +0200

gwt (1.6.4-0ubuntu3) karmic; urgency=low

  * debian/control: Bump minimal JRE dependency to java5-runtime-headless
    since code is java5-compatible only.

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Mon, 24 Aug 2009 11:58:41 +0200

gwt (1.6.4-0ubuntu2) karmic; urgency=low

  * debian/patches/issue-3510.patch: Fix abusive stack usage in GWT resulting
    in java.lang.StackOverflowError. Patch from scottb, taken from
    http://code.google.com/p/google-web-toolkit/issues/detail?id=3510
    (LP: #418022)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Mon, 24 Aug 2009 09:45:55 +0200

gwt (1.6.4-0ubuntu1) karmic; urgency=low

  * Initial release. New Eucalyptus dependency.

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Wed, 05 Aug 2009 16:06:30 +0100

=== debian/control ===
Source: gwt
Section: java
Priority: optional
Maintainer: Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>
Uploaders: Brian Thomason <brian.thomason@eucalyptus.com>, Chris Halls <halls@debian.org>
DM-Upload-Allowed: yes
Build-Depends-Indep: default-jdk,
 libcommons-collections3-java,
 libservlet2.5-java,
 libjetty-java,
 libecj-java,
 libswt-gtk-3-java,
 libswt-gtk-3-java-gcj,
 junit,
 eclipse-jdt,
 libguava-java,
 libhtmlunit-java,
 libhtmlunit-core-js-java,
 libprotobuf-java,
 protobuf-compiler,
 libcommons-logging-java,
 libgeronimo-validation-1.0-spec-java,
 libicu4j-java,
 libjson-simple-java,
 libflute-java,
 libhibernate-validator-java,
 libhibernate3-java,
 libjsilver-java,
 libxerces2-java
Build-Depends: ant, ant-contrib, debhelper (>= 5), cdbs (>= 0.4.5.3), javahelper
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-eucalyptus/gwt/trunk
Vcs-Browser: http://svn.debian.org/websvn/pkg-eucalyptus/gwt
Homepage: http://google-web-toolkit.googlecode.com

Package: libgwt-user-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Description: Google Web Toolkit (GWT) runtime libs
 Google Web Toolkit (GWT) allows developers to quickly build and maintain
 complex JavaScript front-end applications in the Java programming language.
 .
 This package contains the runtime libraries (gwt-user and gwt-servlet).

Package: libgwt-dev-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Description: Google Web Toolkit (GWT) dev libs
 Google Web Toolkit (GWT) allows developers to quickly build and maintain
 complex JavaScript front-end applications in the Java programming language.
 .
 This package contains the buildtime library (gwt-dev).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/javahelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME          := /usr/lib/jvm/default-java
DEB_ANT_BUILDFILE  := ./debian/build.xml
DEB_JARS           := commons-collections3 jetty jetty-sslengine jetty-util ecj \
                      /usr/share/java/swt.jar servlet-api-2.5 junit sac hibernate-core \
                      hibernate-validator jsilver
DEB_ANT_ARGS       := -DartifactVersion=$(DEB_UPSTREAM_VERSION)

clean::
	rm -rf build target

configure/libgwt-dev-java::
	mkdir -p $(CURDIR)/build/out/dev/bin/com/google/gwt/dev
	echo gwt.version=$(DEB_UPSTREAM_VERSION) >> $(CURDIR)/build/out/dev/bin/com/google/gwt/dev/About.properties

get-orig-source:
	debian/orig-tar.sh --upstream-version $(DEB_UPSTREAM_VERSION)	

# Unit tests are a fiddle to run and need some extra parts
unittests: unittests-dev unittests-user

unittests-check: build
	dh_testdir
	@if ! [ -d samples ]; then \
		echo "The debian sources for this package do not include the samples directory"; \
		echo "which is needed to run the unit tests. You can download the official GWT"; \
		echo "build from Google from http://code.google.com/webtoolkit/download.html"; \
		exit 1; \
	fi
	@if ! [ -d "$$GWT_EXTTOOLS"/lib/junit ]; then \
		echo "To run the unit tests you need to set GWT_EXTTOOLS to point to a checkout" ;\
		echo "of Google web tools. You can get it here:" ;\
		echo " svn checkout http://google-web-toolkit.googlecode.com/svn/tools" ;\
		exit 1 ;\
	fi
	cd build-tools/ant-gwt && GWT_TOOLS="$$GWT_EXTTOOLS" ant

unittests-dev : unittests-check
	@echo Development unit tests
	ant -propertyfile debian/ant.properties -propertyfile tools.properties -DartifactVersion=2.4.0 -f dev/build.xml test

unittests-user : unittests-check
	@echo User unit tests
	ant -propertyfile debian/ant.properties -propertyfile tools.properties -DartifactVersion=2.4.0 -f user/build.xml test

=== debian/watch ===
version=3
http://google-web-toolkit.googlecode.com/svn/tags/ ([0-9].*)/ debian debian/orig-tar.sh
